LFR-FSW - Bug #420

la fonction getSWVersion() de SocExplorer n'existe plus
27/05/2015 03:23 PM - bruno katra

Status: Closed Start date: 27/05/2015
Priority: Normal Due date:

Assignee: bruno katra % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

soc.lfrControlPlugin.getSWVersion() renvoyait la version du FSW lue dans les HK
depuis les mises a jour de IfrControlPlugin (wrap des methodes par Alexis), la méthode a disparue.

History

#1 - 03/06/2015 07:40 AM - paul leroy

- Status changed from New to Resolved

Le bug est corrigé avec Ifrcontrolplugin 3.0.0.0, installé sur le PC de validation le 02/06.
Deux fonctions existent maintenant, pour éviter les confusions:

LFRControlPlugin0.getFlightSoftwareVersion() pour obtenir la version du logiciel de vol (nécessite la réception d'au moins 1 paquet HK)

LFRControlPlugin0.getSoftwareVersion() pour obtenir la révision du lfrcontrolplugin codée en dur dans le plugin

#2 - 03/06/2015 07:41 AM - paul leroy

- Assignee changed from paul leroy to bruno katra

#3 - 26/06/2015 10:12 AM - bruno katra
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

Testé ok en 3.0.0.7 avec CTC-012.
